package com.eco.plugin.xx.zgydsso.logout;

import com.eco.plugin.xx.zgydsso.config.PluginSimpleConfig;
import com.fr.decision.fun.impl.AbstractLogInOutEventProvider;
import com.fr.decision.webservice.login.LogInOutResultInfo;
import com.fr.decision.webservice.v10.login.LoginService;
import com.ultrapower.casp.client.LoginUtil;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

public class Logout extends AbstractLogInOutEventProvider {

    @Override
    public String logoutAction(LogInOutResultInfo result) {
        HttpSession session = result.getRequest().getSession(true);
        LoginService.getInstance().crossDomainLogout(result.getRequest(),result.getResponse(),"");
        session.invalidate();
        PluginSimpleConfig psc = PluginSimpleConfig.getInstance();

        LoginUtil loginUtil = LoginUtil.getInstance();
        loginUtil.initCustom(psc.getConfigurl(),psc.getConfigurlxml());
        loginUtil.logout(String.valueOf(session.getAttribute("ticket")));
        return getUrl(result.getRequest());
    }

    private static String getUrl(HttpServletRequest req){
        String scheme = req.getScheme();
        String serverName = req.getServerName();

        return scheme+"://"+serverName+"/webroot/decision";
    }
}

